<?php
require_once 'sql.php';
require_once 'config.php';
ini_set('max_execution_time',0);
ini_set('display_errors',1);
ini_set('display_startup_erros',1);
error_reporting(E_ALL);
if(isset($_GET['cadastro'])){
    
    $erros = "";
    $nome = base64_decode($_POST['nome']);
    if (strlen(base64_decode($nome)) == 0){
    	$erros .= "Insira seu Nome;<br>";
    }
    $sobrenome = base64_decode($_POST['sobrenome']);
    if (strlen(base64_decode($sobrenome)) == 0){
    	$erros .= "Insira seu sobrenome;<br>";
    }
    $email = base64_decode($_POST['email']);
    if (strlen(base64_decode($email)) == 0){
    	$erros .= "Insira o Email;<br>";
    }
	# vou validar a senha primeiro, depois eu vou e tiro a hash dela
    if (strlen(base64_decode($_POST['password'])) == 0){
    	$erros .= "Insira uma senha;<br>";
    }
    $password = hash("whirlpool",base64_decode($_POST['password']));
	
	
    $id_plano = base64_decode($_POST['plano']);
    if (strlen(base64_decode($_POST['plano'])) == 0){
    	$erros .= "Plano mau configurado;<br>";
    }
    if ($erros <> ""){
    	die(base64_encode($erros));
    }
    

	$sql2 = "INSERT INTO `usuarios` (`nome`, `sobrenome`, `email`, `password`,`level`, `id_plan`, `status`) VALUES ('$nome','$sobrenome','$email','$password','0','$id_plano',1)";
	mysql_query($sql2) or die(base64_encode(mysql_error()));
	die(base64_encode('1'));

    
}
if(isset($_GET['susp'])){
	$email = base64_decode($_GET['email']);
	$erros='';
    if (strlen($email) == 0){
    	$erros .= "Faltou o email;<br>";
    }
     if ($erros <> ""){
    	die(base64_encode($erros));
    }
    $sql3 = "Select id from usuarios where email='$email'";
    $sel = mysql_query($sql3) or die(base64_encode(mysql_error()));
    loga($sql3);
    $fetch = mysql_fetch_assoc($sel);
    $iduser =  $fetch['id'];
    $sql4 = "UPDATE `usuarios` SET `status` = '0' WHERE `email` = '$email'";
    mysql_query($sql4) or die(base64_encode(mysql_error()));
    loga($sql4);
    $sql5 = "UPDATE `tsdns` SET `enabled` = '0' WHERE `user_id` = '$iduser'";
    mysql_query($sql5) or die(base64_encode(mysql_error()));   
    loga($sql5);
    die(base64_encode('1'));

}
if(isset($_GET['unsusp'])){
		$email = base64_decode($_GET['email']);
    if (strlen($email) == 0){
    	$erros .= "Faltou o email;<br>";
    }
     if ($erros <> ""){
    	die(base64_encode($erros));
    }
    $sql8 ="Select id from usuarios where email='$email'";
    $sel = mysql_query($sql8);
    loga($sql8);
    $fetch = mysql_fetch_assoc($sel);
    $iduser=  $fetch['id'];
    $sql6 ="UPDATE `usuarios` SET `ativo` = '1' WHERE `email` = '$email'";
    $sql7 = "UPDATE `tsdns` SET `enabled` = '1' WHERE `id_user` = '$iduser'";
    mysql_query($sql6);
    mysql_query($sql7);   
    loga($sql6);
    loga($sql7);
    die(base64_encode('1'));
}

if(isset($_GET['term'])){
		$email = base64_decode($_POST['emailid']);
    if (strlen(base64_decode($_POST['emailid'])) == 0){
    	$erros .= "Faltou o emailid;<br>";
    }
     if ($erros <> ""){
    	die(base64_encode($erros));
    }
    $sql9 ="Select id from usuarios where email='$email'";
    $sel = mysql_query($sql9);
    loga($sql9);
    $fetch = mysql_fetch_assoc($sel);
    $iduse r=  $fetch['id'];
    mysql_query("DELETE FROM `usuarios` WHERE `email` = '$email'");
    mysql_query("DELETE FROM `tsdns` WHERE `id_user` = '$iduser'");   
    die(base64_encode("1"));
}
if(isset($_GET['change'])){
    
    $erros = "";
    $nome = base64_decode($_POST['nome']);
    if (strlen(base64_decode($nome)) == 0){
    	$erros .= "Insira seu Nome;<br>";
    }
    $sobrenome = base64_decode($_POST['sobrenome']);
    if (strlen(base64_decode($sobrenome)) == 0){
    	$erros .= "Insira seu sobrenome;<br>";
    }
    $email = base64_decode($_POST['email']);
    if (strlen(base64_decode($email)) == 0){
    	$erros .= "Insira o Email;<br>";
    }
    $password = hash("whirlpool",base64_decode($_POST['password']));
    if (strlen(base64_decode($_POST['password'])) == 0){
    	$erros .= "Insira uma senha;<br>";
    }
    if ($erros <> ""){
    	die(base64_encode($erros));
    }
    	$sql10 = "UPDATE `usuarios` SET `premium` = '$id_plano', `nome_plano` = '$nome_plano', `email` = '$email' WHERE `email` ='$email'";
        mysql_query($sql10);
        loga($sql10);
        die(base64_encode('1'));

}
function loga($message){
	/*$ep= fopen('log.log',"a");
    fwrite($ep,$message."\n");
	fclose($ep);*/
}
?>